### Hierarchy

- Link

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render
- decode

## Constructors

### constructor

- new Link(spec: ISpecification): Link

- - Defined in lib/renderable/link/index.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Link

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/link/index.ts:14

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/link/index.ts:23

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Static Private decode

- decode(input: string): string

- - Defined in lib/renderable/link/index.ts:39

  #### Parameters

  - ##### input: string

  #### Returns string

Generated using TypeDoc